org.eclipse.viatra.dse.evolutionary

## Class CsvFile

- java.lang.Object
- - org.eclipse.viatra.dse.evolutionary.CsvFile

-     public class CsvFile
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `columnNamesInOrder`
    `protected java.lang.Character` | `delimeter`
    `protected java.lang.String` | `fileBasePath`
    `protected java.lang.String` | `fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsvFile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appendRow(Row row)`
    `boolean` | `createCsvFile()`
    `java.util.List<java.lang.String>` | `getColumnNamesInOrder()`
    `java.lang.String` | `getFileBasePath()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getHeaderString()`
    `java.lang.String` | `rowIntoString(Row row)`
    `void` | `setColumnNamesInOrder(java.util.List<java.lang.String> columnNamesInOrder)`
    `void` | `setFileBasePath(java.lang.String fileBasePath)`
    `void` | `setFileName(java.lang.String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileBasePath

          protected java.lang.String fileBasePath

    - #### fileName

          protected java.lang.String fileName

    - #### delimeter

          protected java.lang.Character delimeter

    - #### columnNamesInOrder

          protected java.util.List<java.lang.String> columnNamesInOrder

  - ### Constructor Detail

    - #### CsvFile

          public CsvFile()

  - ### Method Detail

    - #### getHeaderString

          public java.lang.String getHeaderString()

    - #### rowIntoString

          public java.lang.String rowIntoString(Row row)

    - #### createCsvFile

          public boolean createCsvFile()

    - #### appendRow

          public boolean appendRow(Row row)

    - #### setFileName

          public void setFileName(java.lang.String fileName)

    - #### getFileName

          public java.lang.String getFileName()

    - #### setFileBasePath

          public void setFileBasePath(java.lang.String fileBasePath)

    - #### getFileBasePath

          public java.lang.String getFileBasePath()

    - #### getColumnNamesInOrder

          public java.util.List<java.lang.String> getColumnNamesInOrder()

    - #### setColumnNamesInOrder

          public void setColumnNamesInOrder(java.util.List<java.lang.String> columnNamesInOrder)